## org.apache.mahout.classifier.sgd
Class AdaptiveLogisticModelParameters

    java.lang.Object
      org.apache.mahout.classifier.sgd.LogisticModelParameters
          org.apache.mahout.classifier.sgd.AdaptiveLogisticModelParameters

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public class AdaptiveLogisticModelParameters

extends LogisticModelParameters

Constructor Summary
`AdaptiveLogisticModelParameters()`

Method Summary
`void` `checkParameters()`
`AdaptiveLogisticRegression` `createAdaptiveLogisticRegression()`
`String` `getAuc()`
`int` `getAverageWindow()`
`int` `getInterval()`
`String` `getPrior()`
`double` `getPriorOption()`
`int` `getThreads()`
`static AdaptiveLogisticModelParameters` `loadFromFile(File in)`
`void` `readFields(DataInput in)`
`void` `saveTo(OutputStream out)` Saves a model to an output stream.
`void` `setAuc(String auc)`
`void` `setAverageWindow(int averageWindow)`
`void` `setInterval(int interval)`
`void` `setPrior(String prior)`
`void` `setPriorOption(double priorOption)`
`void` `setThreads(int threads)`
`void` `write(DataOutput out)`

Methods inherited from class org.apache.mahout.classifier.sgd.LogisticModelParameters
`createRegression, getCsvRecordFactory, getLambda, getLearningRate, getMaxTargetCategories, getNumFeatures, getTargetCategories, getTargetVariable, getTypeMap, loadFrom, loadFrom, setLambda, setLearningRate, setMaxTargetCategories, setNumFeatures, setTargetCategories, setTargetVariable, setTypeMap, setTypeMap, setUseBias, useBias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdaptiveLogisticModelParameters

    public AdaptiveLogisticModelParameters()

Method Detail

### createAdaptiveLogisticRegression

    public AdaptiveLogisticRegression createAdaptiveLogisticRegression()

### checkParameters

    public void checkParameters()

### saveTo

    public void saveTo(OutputStream out)
                throws IOException

  Description copied from class: `LogisticModelParameters`
  Saves a model to an output stream.

  Overrides:
    `saveTo` in class `LogisticModelParameters`
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Overrides:
    `write` in class `LogisticModelParameters`
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Overrides:
    `readFields` in class `LogisticModelParameters`
  Throws:
    `IOException`

### loadFromFile

    public static AdaptiveLogisticModelParameters loadFromFile(File in)
                                                        throws IOException

  Throws:
    `IOException`

### getInterval

    public int getInterval()

### setInterval

    public void setInterval(int interval)

### getAverageWindow

    public int getAverageWindow()

### setAverageWindow

    public void setAverageWindow(int averageWindow)

### getThreads

    public int getThreads()

### setThreads

    public void setThreads(int threads)

### getPrior

    public String getPrior()

### setPrior

    public void setPrior(String prior)

### getAuc

    public String getAuc()

### setAuc

    public void setAuc(String auc)

### getPriorOption

    public double getPriorOption()

### setPriorOption

    public void setPriorOption(double priorOption)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.